### Method

# FwupdPlugin Hwids get_value

since: 0.9.3

#### Declaration [src]

    const gchar*
    fu_hwids_get_value (
      FuHwids* self,
      const gchar* key
    )

#### Description [src]

Gets the cached value for one specific key that is valid ASCII and suitable for display.

Available since: 0.9.3

#### Parameters

`key`

  Type: `const gchar*`

  A DMI ID, e.g. `BiosVersion`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

The string, e.g. `1.2.3`, or `NULL` if not found.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.